Package wx :: Package lib :: Module foldpanelbar :: Class FoldWindowItem

[frames | no frames]

## Class FoldWindowItem

This class is a child sibling of the `FoldPanelItem` class. It will contain wx.Window that can be either a separator (a colored line simulated by a wx.Window) or a wxPython controls (such as a wx.Button, a wx.ListCtrl etc...).

Method Summary
| ``__init__`(self, parent, window, **kw)` Default Class Constructor
| `GetLeftSpacing(self)`
| `GetLineColour(self)`
| `GetLineLength(self)`
| `GetLineY(self)`
| `GetRightSpacing(self)`
| `GetSpacing(self)`
| `GetType(self)`
| ``GetWindowLength`(self, vertical)` Returns space needed by the window if type is FoldWindowItem "WINDOW" and returns the total size plus the extra spacing.
| ``ResizeItem`(self, size, vertical)` Resizes the element, whatever it is.

Method Details

### __init__(self, parent, window=None, **kw)
(Constructor)

Default Class Constructor

Initialize with:

    Type = "WINDOW", flags = FPB_ALIGN_WIDTH,
    Spacing = FPB_DEFAULT_SPACING,
    leftSpacing = FPB_DEFAULT_LEFTSPACING,
    rightSpacing = FPB_DEFAULT_RIGHTSPACING

or:

    Type = "SEPARATOR"
    y, lineColor = wx.BLACK,
    flags = FPB_ALIGN_WIDTH,
    Spacing = FPB_DEFAULT_SPACING,
    leftSpacing = FPB_DEFAULT_LEFTLINESPACING,
    rightSpacing = FPB_DEFAULT_RIGHTLINESPACING

### GetWindowLength(self, vertical=True)

Returns space needed by the window if type is FoldWindowItem "WINDOW" and returns the total size plus the extra spacing.

### ResizeItem(self, size, vertical=True)

Resizes the element, whatever it is.

A separator or line will be always aligned by width or height depending on orientation of the whole panel.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:15 2007 | http://epydoc.sf.net